Show / Hide Table of Contents

# Class Emote

A custom image-based emote.

##### Inheritance

System.Object
Emote
GuildEmote

##### Implements

IEmote
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Emote : IEmote, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Animated

Gets whether this emote is animated.

##### Declaration

    public bool Animated { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | A boolean that determines whether or not this emote is an animated one.

| Improve this Doc View Source

#### CreatedAt

Gets when the snowflake was created.

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset representing when the entity was first created.

| Improve this Doc View Source

#### Id

##### Declaration

    public ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Name

Gets the display name or Unicode representation of this emote.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string representing the display name or the Unicode representation (e.g. `🤔`) of this emote.

| Improve this Doc View Source

#### Url

Gets the image URL of this emote.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string that points to the URL of this emote.

### Methods

| Improve this Doc View Source

#### Equals(Object)

Determines whether the specified emote is equal to the current emote.

##### Declaration

    public override bool Equals(object other)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | other | The object to compare with the current object.

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)
| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()
| Improve this Doc View Source

#### Parse(String)

Parses an Emote from its raw format.

##### Declaration

    public static Emote Parse(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | The raw encoding of an emote (e.g. `<:dab:277855270321782784>`).

##### Returns

Type | Description
--- | ---
Emote | An emote.

##### Exceptions

Type | Condition
--- | ---
System.ArgumentException | Invalid emote format.

| Improve this Doc View Source

#### ToString()

Returns the raw representation of the emote.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string representing the raw presentation of the emote (e.g. `<:thonkang:282745590985523200>`).

##### Overrides

System.Object.ToString()
| Improve this Doc View Source

#### TryParse(String, out Emote)

Tries to parse an Emote from its raw format.

##### Declaration

    public static bool TryParse(string text, out Emote result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | The raw encoding of an emote; for example, <:dab:277855270321782784>.
Emote | result | An emote.

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

IEmote
ISnowflakeEntity
IEntity<TId>